<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<html>
<head>
<link rel="STYLESHEET" href="mailman-admin.css" type='text/css' />
<link rel="first" href="mailman-admin.html" title='GNU mailman - list Administration Manual' />
<link rel='contents' href='contents.html' title="Contents" />
<link rel='last' href='about.html' title='About this document...' />
<link rel='help' href='about.html' title='About this document...' />
<link rel="next" href="node27.html" />
<link rel="prev" href="node25.html" />
<link rel="parent" href="node8.html" />
<link rel="next" href="node27.html" />
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name='aesop' content='information' />
<title>2.9 The Archiving Options Category</title>
</head>
<body>
<div class="navigation">
<div id='top-navigation-panel' xml:id='top-navigation-panel'>
<table align="center" width="100%" cellpadding="0" cellspacing="2">
<tr>
<td class='online-navigation'><a rel="prev" title="2.8 the Bounce Processing"
  href="node25.html"><img src='previous.png'
  border='0' height='32'  alt='Previous Page' width='32' /></a></td>
<td class='online-navigation'><a rel="parent" title="2 the List Configuration"
  href="node8.html"><img src='up.png'
  border='0' height='32'  alt='Up one Level' width='32' /></a></td>
<td class='online-navigation'><a rel="next" title="2.10 the Mail/News Gateway"
  href="node27.html"><img src='next.png'
  border='0' height='32'  alt='Next Page' width='32' /></a></td>
<td align="center" width="100%">GNU Mailman - List Administration Manual</td>
<td class='online-navigation'><a rel="contents" title="Table of Contents"
  href="contents.html"><img src='contents.png'
  border='0' height='32'  alt='Contents' width='32' /></a></td>
<td class='online-navigation'><img src='blank.png'
  border='0' height='32'  alt='' width='32' /></td>
<td class='online-navigation'><img src='blank.png'
  border='0' height='32'  alt='' width='32' /></td>
</tr></table>
<div class='online-navigation'>
<b class="navlabel">Previous:</b>
<a class="sectref" rel="prev" href="node25.html">2.8 The Bounce Processing</a>
<b class="navlabel">Up:</b>
<a class="sectref" rel="parent" href="node8.html">2 The List Configuration</a>
<b class="navlabel">Next:</b>
<a class="sectref" rel="next" href="node27.html">2.10 The Mail/News Gateway</a>
</div>
<hr /></div>
</div>
<!--End of Navigation Panel-->

<h2><a name="SECTION002290000000000000000">
2.9 The Archiving Options Category</a>
</h2>

<p>
Mailman comes with a built-in web-based archiver called
<em>Pipermail</em>, although it can be configured to use external,
third party archivers.

<p>
<dl>
<dt><strong>archive</strong></dt>
<dd>This option tells Mailman whether to archive messages it receives
    or not, regardless of whether Pipermail or a third party archiver
    is used.  Turn this off if you don't want to archive messages.

<p>
Note that senders can control whether their own posts are
    archived, on an individual per-message basis.  If the posted
    message has a <span class="mailheader">X-No-Archive:</span> header (regardless of
    value), or a <span class="mailheader">X-Archive:</span> header with a value of
    <code>No</code> (case insensitive), then the message will not be
    archived, although it will be treated as normal in all other
    ways.

<p>
</dd>
<dt><strong>archive_private</strong></dt>
<dd>Controls whether Pipermail archives are private or public.
    Private archives require a valid member address and password, or a
    list administrator password in order to access them.  This
    option has no effect when a third party archiver is used.

<p>
</dd>
<dt><strong>archive_volume_frequency</strong></dt>
<dd>Controls how Pipermail splits messages in the archive.  The most
    common option is <em>Monthly</em> meaning a new archive volume is
    started every month.  Very high volume lists may want a shorter
    frequency (e.g. <em>Weekly</em> or <em>Daily</em>) where as lower
    volume lists may want a longer frequency (e.g. <em>Yearly</em>).
    This option has no effect when a third party archiver is used.
</dd>
</dl>

<p>

<div class="navigation">
<div class='online-navigation'>
<p></p><hr />
<table align="center" width="100%" cellpadding="0" cellspacing="2">
<tr>
<td class='online-navigation'><a rel="prev" title="2.8 the Bounce Processing"
  href="node25.html"><img src='previous.png'
  border='0' height='32'  alt='Previous Page' width='32' /></a></td>
<td class='online-navigation'><a rel="parent" title="2 the List Configuration"
  href="node8.html"><img src='up.png'
  border='0' height='32'  alt='Up one Level' width='32' /></a></td>
<td class='online-navigation'><a rel="next" title="2.10 the Mail/News Gateway"
  href="node27.html"><img src='next.png'
  border='0' height='32'  alt='Next Page' width='32' /></a></td>
<td align="center" width="100%">GNU Mailman - List Administration Manual</td>
<td class='online-navigation'><a rel="contents" title="Table of Contents"
  href="contents.html"><img src='contents.png'
  border='0' height='32'  alt='Contents' width='32' /></a></td>
<td class='online-navigation'><img src='blank.png'
  border='0' height='32'  alt='' width='32' /></td>
<td class='online-navigation'><img src='blank.png'
  border='0' height='32'  alt='' width='32' /></td>
</tr></table>
<div class='online-navigation'>
<b class="navlabel">Previous:</b>
<a class="sectref" rel="prev" href="node25.html">2.8 The Bounce Processing</a>
<b class="navlabel">Up:</b>
<a class="sectref" rel="parent" href="node8.html">2 The List Configuration</a>
<b class="navlabel">Next:</b>
<a class="sectref" rel="next" href="node27.html">2.10 The Mail/News Gateway</a>
</div>
</div>
<hr />
<span class="release-info">Release 2.1, documentation updated on August 26, 2016.</span>
</div>
<!--End of Navigation Panel-->

</body>
</html>
